%define _altdata_dir %_datadir/alterator

Name: alterator-ddns
Version: 0.2
Release: alt9

Packager: Stanislav Ievlev <inger@altlinux.org>

Source:%name-%version.tar

Summary: alterator module to create and manage dynamic dns
License: GPL
Group: System/Configuration/Other
Requires: bind bind-utils
Requires: alterator-net-common >= 0.6-alt1
Requires: alterator-dhcp >= 0.5-alt4 alterator >= 4.8-alt1

BuildArch: noarch

%description
alterator module to create and manage dynamic dns

%prep
%setup -q

%build
%make_build

%install
%makeinstall

%files
%_bindir/*
%_sbindir/*
%_sysconfdir/hooks/hostname.d/*
#%_sysconfdir/hooks/resolv.conf.d/*
%_libexecdir/alterator/hooks/net-eth.d/*
%_libexecdir/alterator/hooks/net-domain.d/*


%changelog
* Tue Apr 28 2009 Stanislav Ievlev <inger@altlinux.org> 0.2-alt9
- @sbolshakov:
    * do not expose surrogate `kdc' A record, SRV is enough
    * use real hostname for kerberos SRV records, not surrogate `ns'
    * typo fixed for kerberos SRV records

* Tue Apr 21 2009 Stanislav Ievlev <inger@altlinux.org> 0.2-alt8
- resolve ip to single name

* Wed Apr 01 2009 Stanislav Ievlev <inger@altlinux.org> 0.2-alt7
- improve hooks
- update for new alterator

* Mon Mar 30 2009 Stanislav Ievlev <inger@altlinux.org> 0.2-alt6
- recreate resolvconf zones if need it

* Fri Mar 27 2009 Stanislav Ievlev <inger@altlinux.org> 0.2-alt5
- use modern alterator-dhcp interface

* Mon Mar 23 2009 Stanislav Ievlev <inger@altlinux.org> 0.2-alt4
- @sbolshakov: generate SRV records for kerberos

* Fri Mar 20 2009 Stanislav Ievlev <inger@altlinux.org> 0.2-alt3
- fix typo in script

* Thu Mar 19 2009 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2
- turn off resolv.conf.d hook (unexpected dhcpd shutdown if interface is turned off)
- fix exit code of dhcp-update-config utility

* Wed Mar 18 2009 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- redesign hook system, add hooks for dhcp

* Fri Mar 13 2009 Stanislav Ievlev <inger@altlinux.org> 0.1-alt5
- run reconfiguration hooks only in master mode

* Thu Mar 12 2009 Stanislav Ievlev <inger@altlinux.org> 0.1-alt4
- add utility to check for reserved names

* Wed Mar 11 2009 Stanislav Ievlev <inger@altlinux.org> 0.1-alt3
- use more smart hooks

* Tue Mar 10 2009 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- add ddns-print-dhcp utility
- improve ddns-add-host and ddns-del-host

* Thu Mar 05 2009 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- Initial build

